Subject: [bug#68530] [PATCH 1/2] gnu: u-boot: Update to 2024.01.3.

From: Herman Rimm <[email-masked]>
Date: Thu, 18 Jan 2024 17:03:58 +0100

On Wed, Jan 17, 2024 at 11:59:53AM -0800, Vagrant Cascadian wrote:

> These two commits were included in upstream git, which might be
> relevent or helpful?
> 
> 03e598263e3878b6f5d58f5525577903edadc644 tools: fix build without LIBCRYPTO support
> b646a1053fda188bfb054acc98aa73bb23b158b1 tools: kwbimage: Allow disabling build on non-mvebu platforms

Nice find! I have included 03e5982 as a patch, which fixes the
u-boot-amlogic-p212 build errors.

> Although, an even bigger issues is that amlogic platforms all to my
> knowledge require some non-free components in order to sign the binaries
> before installing them, see the documentation in u-boot sources:

Yes, I think it would be more useful to add u-boot-amlogic-p212 and the
tools from #60043 to a non-official channel together with the non-free
stuff.

Cheers,
Herman